summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/yaz/README1
-rw-r--r--libraries/yaz/slack-desc20
-rw-r--r--libraries/yaz/yaz.SlackBuild43
-rw-r--r--libraries/yaz/yaz.info8
4 files changed, 51 insertions, 21 deletions
diff --git a/libraries/yaz/README b/libraries/yaz/README
index ac751fedd9..e5b5169b07 100644
--- a/libraries/yaz/README
+++ b/libraries/yaz/README
@@ -6,4 +6,3 @@ The current version of YAZ includes support for the industry standard
ZOOM API for Z39.50. This API vastly simplifies the process of writing
new clients using YAZ, and it reduces your dependency on any single
toolkit.
-
diff --git a/libraries/yaz/slack-desc b/libraries/yaz/slack-desc
index c08bf4baf4..74a3f94a84 100644
--- a/libraries/yaz/slack-desc
+++ b/libraries/yaz/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
yaz: YAZ (a programmers toolkit)
yaz:
-yaz: YAZ is a programmers toolkit supporting the development of Z39.50/SRW/SRU
-yaz: clients and servers. Z39.50-2003 (version 3) as well as SRW/SRU version
-yaz: 1.1 are supported in both the client and server roles.
+yaz: YAZ is a programmers toolkit supporting the development of Z39.50/
+yaz: SRW/SRU clients and servers. Z39.50-2003 (version 3) as well as SRW/
+yaz: SRU version 1.1 are supported in both the client and server roles.
yaz:
yaz: The current version of YAZ includes support for the industry standard
-yaz: ZOOM API for Z39.50. This API vastly simplifies the process of writing
-yaz: new clients using YAZ, and it reduces your dependency on any single
-yaz: toolkit.
+yaz: ZOOM API for Z39.50. This API vastly simplifies the process of
+yaz: writing new clients using YAZ, and it reduces your dependency on any
+yaz: single toolkit.
yaz:
diff --git a/libraries/yaz/yaz.SlackBuild b/libraries/yaz/yaz.SlackBuild
index ae0e354a36..2100a9c624 100644
--- a/libraries/yaz/yaz.SlackBuild
+++ b/libraries/yaz/yaz.SlackBuild
@@ -1,21 +1,42 @@
#!/bin/sh
# SlackBuild script for yaz
-# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
-# Modified by the SlackBuilds.org project
-
-set -e
+# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=yaz
-VERSION=2.1.54
+VERSION=3.0.26
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-ARCH=${ARCH:-i486}
OUTPUT=${OUTPUT:-/tmp}
+# Exit on most errors
+set -e
+
DOCFILES="LICENSE NEWS README TODO ChangeLog"
if [ "$ARCH" = "i486" ]; then
@@ -24,11 +45,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -48,7 +71,7 @@ make install-strip DESTDIR=$PKG
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/yaz/yaz.info b/libraries/yaz/yaz.info
index fa257130eb..ce130ebd05 100644
--- a/libraries/yaz/yaz.info
+++ b/libraries/yaz/yaz.info
@@ -1,8 +1,8 @@
PRGNAM="yaz"
-VERSION="2.1.54"
+VERSION="3.0.26"
HOMEPAGE="http://www.indexdata.dk/yaz/"
-DOWNLOAD="http://ftp.indexdata.dk/pub/yaz/yaz-2.1.54.tar.gz"
-MD5SUM="13e369fd6bf24b99e8d6b817e6c1519d"
+DOWNLOAD="http://ftp.indexdata.dk/pub/yaz/yaz-3.0.26.tar.gz"
+MD5SUM="2b06e2d930fa329ac806b0e14d5714c8"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="David Somero"